<?php

declare(strict_types=1);

namespace App\Dictionary\Medical;

/**
 * 病人性质
 */
enum PatientProperty: int
{

    case OUTPATIENT_PLANNING = 6089; // 门诊统筹

    case OUTPATIENT_MUTUAL_AID = 6095;  // 门诊共济

    /**
     * Label string
     * @return string
     */
    public function label(): string
    {
        return match($this) {
            self::OUTPATIENT_PLANNING => '门诊统筹',
            self::OUTPATIENT_MUTUAL_AID => '门诊共济',
        };
    }
}
