<?php

declare(strict_types=1);

namespace App\Dictionary\Medical;

/**
 * 医保支付类型
 */
enum PayType: int
{
    case SELF_PAY = 0;      // 自费

    case OFFLINE_MEDICARE = 1; // 线下医保

    case ONLINE_MEDICARE = 2;  // 线上医保

    /**
     * Label string
     * @return string
     */
    public function label(): string
    {
        return match($this) {
            self::SELF_PAY => '自费',
            self::OFFLINE_MEDICARE => '线下医保',
            self::ONLINE_MEDICARE => '线上医保',
        };
    }
}
