<?php

declare(strict_types=1);

namespace App\Dictionary\Medical;

/**
 * 医保预结算状态
 */
enum PreSettleStatus: int
{
    case NOT_NEEDED = 0;       // 无需预结算

    case SETTLED = 1;          // 已预结算

    case CANCELLED = 2;       // 已取消预结算

    /**
     * Label string
     * @return string
     */
    public function label(): string
    {
        return match($this) {
            self::NOT_NEEDED => '无需预结算',
            self::SETTLED => '已预结算',
            self::CANCELLED => '已取消预结算',
        };
    }
}
