<?php

declare(strict_types=1);

namespace App\Dictionary\Medical;

/**
 * 医保预结算类型
 */
enum SettleType: int
{
    case CASH = 0;          // 使用现金支付

    case MEDICARE_ACCOUNT = 1; // 使用医保个账支付

    /**
     * Label string
     * @return string
     */
    public function label(): string
    {
        return match($this) {
            self::CASH => '使用现金支付',
            self::MEDICARE_ACCOUNT => '使用医保个账支付',
        };
    }
}
