<?php

declare(strict_types=1);

namespace App\Dictionary\Report;

/**
 * 检查报告影像类型
 */
enum ImageType: string
{
    case STUDY_ID = 'styid';       // 查询胶片ID (参数: studyid)

    case IMAGE = 'img';             // 获取胶片图像 (参数: 胶片ID)

    case IMAGE_BASE64 = 'img64';    // 获取胶片Base64编码 (参数: 胶片ID)

    case PDF = 'pdf';               // 获取报告PDF文件 (参数: studyid)

    case PDF_BASE64 = 'pdf64';      // 获取报告PDF的Base64编码 (参数: studyid)

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::STUDY_ID => '查询胶片ID',
            self::IMAGE => '获取胶片图像',
            self::IMAGE_BASE64 => '获取胶片Base64编码',
            self::PDF => '获取报告PDF文件',
            self::PDF_BASE64 => '获取报告PDF的Base64编码',
        };
    }
}
