<?php

declare(strict_types=1);

namespace App\Dictionary\WeChat\MiniProgram;

/**
 * 推送模板消息ID
 */
enum SubscribeId: string
{

    case PATIENT_BIND_SUCCESS = 'C1JKomPq-Bes7fOs4vv2Jcy5SFUVvnr_qcl9oNaz7eQ';

    case PATIENT_UNBIND_SUCCESS = 'oDOqp-Smyve0Se8ued4592HC82fBxRLodD1CCb2FWBU';

    case REGISTRATION_SUCCESS = '8TEAjsZsuK8atvLeLqzEH067Mnn5qGmyFnshEy6YsiU';

    case REGISTRATION_FAILURE = '4I_LqdovtP1gwkQjH78Y7gwuPde_rY0qgPqNl4aPBWk';

    case REGISTRATION_CANCEL = 'fVaoPnY6MOpKXbpnrGcPqcLl8dv-aRBNfCGeOlgL8bA';

    case VISIT_REMIND = 'PidheHDjaf--SIu4-wsDT2uFA_0gjDhq_BU0fABa_w0';

    case REGISTRATION_STOP_REMIND = '4y86hYFZ7vMxm4_5_aXTYLdMH-iRoZJAieBGIjOrfgI';

    case OUTPATIENT_PAYMENT_SUCCESS = 'IlYVy2NNv7v6sg-s_Y6OYarcQhXA1lCI7DvH9Oyowmo';

    case OUTPATIENT_PAYMENT_FAILURE = 'ayUD7DXCxZAlhWZ7YiWnHvUXf3AqS_6xkWlbCMC40ek';

    case OUTPATIENT_PENDING_PAYMENT_REMIND = 'SYt004fWSk_KC-6R4SL2EfvyslHR9WMwjW3Z1AhhXhA';

    case INSPECT_REPORT_RELEASE_REMIND = 's80lhpfTVcEMAdsyA--5qxWWmZ4GqUqSMFavyBga5D0';

    case CHECK_REPORT_RELEASE_REMIND = 'UTBnJt7Y2LZJD4Eqne-qmr8wCGB_B_ADMM7sGirrmD0';


    /**
     * Label string
     *
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::PATIENT_BIND_SUCCESS => '就诊人解绑成功提醒',
            self::PATIENT_UNBIND_SUCCESS => '就诊人绑定成功提醒',
            self::REGISTRATION_SUCCESS => '挂号成功通知',
            self::REGISTRATION_FAILURE => '挂号失败通知',
            self::REGISTRATION_CANCEL => '取消预约挂号通知',
            self::VISIT_REMIND => '就诊提醒',
            self::REGISTRATION_STOP_REMIND => '停诊通知',
            self::OUTPATIENT_PAYMENT_SUCCESS => '门诊缴费成功通知',
            self::OUTPATIENT_PAYMENT_FAILURE => '门诊缴费失败通知',
            self::OUTPATIENT_PENDING_PAYMENT_REMIND => '待缴费提醒',
            self::INSPECT_REPORT_RELEASE_REMIND => '检验报告通知',
            self::CHECK_REPORT_RELEASE_REMIND => '检查报告通知',
        };
    }
}
