<?php

namespace App\Http\Resources\Report\Inspect;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        if (empty($this->resource)) {
            return [];
        }

        $lists = [];
        foreach ($this->resource['response']['body'] as $k => $v) {
            // 过滤掉诊断为接口调用正常的第一条数据
            if ($v['diagnose'] === '医院接口调用正常') {
                continue;
            }

            $lists[] = [
                'clinic_no' => $v['clinicNo'],
                'serial_no' => $v['sourceId'],
                'source_form' => $v['sourceFrom'],
                'dept_id' => $v['dept']['localCode'],
                'dept_name' => $v['dept']['localText'],
                'doctor_id' => $v['doctor']['localText'],
                'doctor_name' => $v['doctor']['localText'],
                'exam_type' => $v['examMethod'],
                'exam_name' => $v['examName'],
                'exam_purpose' => $v['examPurpose'],
                'diagnose' => $v['diagnose'],
                'exam_view' => $v['examView'],
                'diagnose_opinion' =>$v['diagnoseOpinion'],
                'created_time' => $v['createDt'],
                'check_time' => $v['checkDt'],
                'report_time' => $v['reportDt'],
                'comment' => $v['comment'] ?: '',
            ];
        }

        return $lists;
    }
}
