<?php

declare(strict_types=1);

namespace UnifyPayment\Mock;

class CreateMedicalInsuranceOrderHandler extends ResponseHandler
{
    /**
     * @return array
     */
    public function success(): array
    {
        $channelId = 'FD00' . $this->faker->randomDigit();

        $data = array_merge($this->getSuccessHeaderData('Query Success.'), [
            'response' => [
                'payUrl' => $this->faker->url(),
                'medTransId' => 'M'. $this->faker->time('ymdhis'). $this->faker->regexify('[0-9]{5}'),
                'payAppId' => 'wx' . $this->faker->regexify('[0-9a-z]{15}'),
                'orderNo' => 'FD' . $channelId . $this->faker->time('YmdHis') . $this->faker->regexify('[0-9]{5}'),
                'merchantId' => 'STZL' . $this->faker->time('Ymd'),
                'merchantName' => $this->faker->company(),
                'channelId' => $channelId,
                'channelName' => '微信移动医保'
            ]
        ]);

        return [
            self::SUCCESS_CODE,
            self::JSON_HEADER,
            json_encode($data, JSON_UNESCAPED_UNICODE)
        ];
    }

    /**
     * @return array
     */
    public function failure(): array
    {
        $data = $this->getFailureHeaderData($this->faker->sentence());

        return [
            self::FAILURE_CODE,
            self::JSON_HEADER,
            json_encode($data, JSON_UNESCAPED_UNICODE)
        ];
    }
}